package Test;
import java.io.*;
import java.util.*;
import javax.servlet.http.*;    
import javax.servlet.*; 
import com.abc.templates.*;

public class GuestBook extends HttpServlet    
{ 
	static String TemplatePath = null;
	static Vector data = new Vector();
	static TemplateLoader loader = new TemplateLoader( );
	public void init(ServletConfig config)
	{
		try
		{
			for(Enumeration e=config.getInitParameterNames();e.hasMoreElements();)
			{
				String sName=(String)e.nextElement();
				if( sName.compareTo("TemplatePath")==0 )
					loader.setPath( config.getInitParameter( sName ), "config.txt");
			}
		}
		catch( Exception e)
		{
		}
		Guest tmp=new Guest();
		tmp.sName="Gevorg";
		tmp.sLastName="Ter-Saakov";
		tmp.sEmail="gevorg@hotmail.com";
		tmp.sAge="26";
		tmp.sHomePage="template.da.ru";
		data.addElement(tmp);
	}


	protected void doPost(HttpServletRequest req,HttpServletResponse res) 
		throws ServletException, IOException      
	{
		doSomething(req,res);
	}

	protected void doGet (HttpServletRequest req,HttpServletResponse res)
        throws ServletException, IOException      
	{
		doSomething(req,res);		
	}

	protected void doSomething(HttpServletRequest req,HttpServletResponse res)
		throws ServletException, IOException      
	{
		try
		{
			res.setHeader("Pragma", "No-Cache");
			res.setDateHeader("Expires", 0);
			res.setHeader("Cache-Control", "no-Cache");
			String sPathInfo = req.getPathInfo();
			String sFunctionName = getFunctionName(sPathInfo);
			sPathInfo = sPathInfo.substring(sFunctionName.length()+1);
			IForm form =  null;
			HtmlWriter out = new HtmlWriter( res, false );
			Cookie cook[] = req.getCookies();
			if(( cook == null ) || ( cook.length == 0 ))
				out.addSubstitute("color", "256");
			else
				out.addSubstitute("color", cook[0].getValue() );
			if(sFunctionName.compareTo("addguest")==0)
				form = new InputForm();
			else if(sFunctionName.compareTo("viewguests")==0)
				form = new GuestForm();
			else if(sFunctionName.compareTo("settings")==0)
				form = new Settings();			
			else if(sFunctionName.compareTo("test")==0)
				form = new TestForm();						
			form.ProcessRequest( out, req, sPathInfo );
		}
		catch(Exception e)
		{
		}
	}

	static String getFunctionName(String sPathInfo)
	{
		int i;
		if(sPathInfo!=null)
		{
			if(sPathInfo.length()==0)return "";
			i=sPathInfo.indexOf('/',1);
			if(i!=-1)return sPathInfo.substring(1,i);
			else return sPathInfo.substring(1,sPathInfo.length());
		}
		return "";
	}
}