package Test;
import java.io.*;
import java.util.*;
import javax.servlet.http.*;    
import javax.servlet.*; 
import com.abc.templates.*;
import java.text.*;

public class GuestForm implements IFillTableRow, IForm
{
	public void ProcessRequest( HtmlWriter out, HttpServletRequest req, String sPathInfo )
		throws Exception
	{
		Template template = null;
		try
		{
			template = GuestBook.loader.getTemplate("guestbook");	
			HtmlTable table = (HtmlTable)template.getControl("book");
			table.setFiller( this );
			template.writeToHtml( out );
		}
		finally
		{
			if( template != null )
				template.destroy();
		}		
	}
	

	public boolean fillTableRow(int iRow, HtmlTable table, HtmlWriter out)
	{
		if( iRow >= GuestBook.data.size() )
			return false;
		Guest tmp = (Guest)GuestBook.data.elementAt( iRow );
		table.Field("First").setValue( tmp.sName );
		table.Field("Last").setValue( tmp.sLastName );
		table.Field("Age").setValue( tmp.sAge );
		out.addSubstitute( "Email", tmp.sEmail );
		out.addSubstitute( "Homepage", tmp.sHomePage );
		return true;
	}


}
