package Test;
import java.io.*;
import java.util.*;
import javax.servlet.http.*;    
import javax.servlet.*; 
import com.abc.templates.*;
import java.text.*;

public class InputForm implements IForm
{
	public void ProcessRequest( HtmlWriter out, HttpServletRequest req, String sPathInfo )
		throws Exception
	{
		Template template = null;
		try
		{
			template = GuestBook.loader.getTemplate("input");	
			String sMethod = GuestBook.getFunctionName( sPathInfo );
			if( sMethod.compareTo("submit") == 0 )
				submit( template, out, req );
			else
				template.writeToHtml( out );
		}
		finally
		{
			if( template != null )
				template.destroy();
		}		
	}
	
	private void submit( Template template, HtmlWriter out, HttpServletRequest req )
		throws Exception
	{
		boolean bRes = template.readFromHtml( req, new StandartValidator() );
		if( bRes )
		{
			Guest tmp = new Guest();
			tmp.sName = template.getControl("First").getValue();
			tmp.sLastName = template.getControl("Last").getValue();
			tmp.sEmail = template.getControl("Email").getValue();
			tmp.sAge = template.getControl("Age").getValue();
			tmp.sHomePage = template.getControl("Homepage").getValue();
			GuestBook.data.addElement(tmp);
			String sServletPath = GuestBook.loader.getSubstitute("ServletPath");
			out.getResponse().sendRedirect( sServletPath + "/viewguests");
		}
		//we have an errors.
		template.writeToHtml( out );		
	}
}
